GDB (xrefs)

Public Attributes | List of all members
btpy_list_object Struct Reference

## Public Attributes
PyObject_HEAD ptid_t | ptid
Py_ssize_t | first
Py_ssize_t | last
Py_ssize_t | step
PyTypeObject * | element_type

## Detailed Description

Definition at line 41 of file py-record-btrace.c.

## Member Data Documentation

## ◆ element_type

PyTypeObject* btpy_list_object::element_type

Definition at line 57 of file py-record-btrace.c.

Referenced by btpy_list_item(), btpy_list_new(), btpy_list_position(), btpy_list_richcompare(), and btpy_list_slice().

## ◆ first

Py_ssize_t btpy_list_object::first

Definition at line 48 of file py-record-btrace.c.

Referenced by btpy_list_item(), btpy_list_length(), btpy_list_new(), btpy_list_position(), btpy_list_richcompare(), and btpy_list_slice().

## ◆ last

Py_ssize_t btpy_list_object::last

Definition at line 51 of file py-record-btrace.c.

Referenced by btpy_list_length(), btpy_list_new(), btpy_list_position(), and btpy_list_richcompare().

## ◆ ptid

PyObject_HEAD ptid_t btpy_list_object::ptid

Definition at line 45 of file py-record-btrace.c.

Referenced by btpy_list_item(), btpy_list_new(), btpy_list_position(), btpy_list_richcompare(), and btpy_list_slice().

## ◆ step

Py_ssize_t btpy_list_object::step

Definition at line 54 of file py-record-btrace.c.

Referenced by btpy_list_item(), btpy_list_length(), btpy_list_new(), btpy_list_position(), btpy_list_richcompare(), and btpy_list_slice().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-record-btrace.c